{ pkgs ? import <nixpkgs> {} }:

with pkgs;

let
  latexPackage = pkgs.texlive.combine {
    inherit (texlive)

    # base packages
    scheme-small

    acro
    anyfontsize
    biblatex
    csquotes
    dejavu
    latexmk
    # moderncv
    # needspace
    # fontawesome
    fontspec
    silence
    translations
    # wrapfig
    # enumitem
    # mathpazo
    ;
  };

in

pkgs.mkShell {
  buildInputs = [
    latexPackage

    pkgs.biber
    # language correction
    pkgs.languagetool
    # detex script
    pkgs.python
    # make
    pkgs.gnumake
    # PDF viewer
    pkgs.zathura
  ];
}
